INTERFACE
SUBROUTINE RADDIAG ( KGL1, KGL2, KPROMA, KLEV,&
 & LDLAND,&
 & PALBD , PALBP , PAPRS , PCLFR,&
 & PCC , PCH , PCL , PCM , PCT,&
 & PEMIS , PEMIW , PEMIT,&
 & PGEMU , PMU0 , PSLM,&
 & PT , PTS,&
 & PEMTD , PTRSO,&
 & PLWFC , PLWFT , PSWFC , PSWFT , PTH , PTRSOC , PEMTEC ) 
USE PARKIND1 ,ONLY : JPIM ,JPRB
USE YOERAD , ONLY : NRADPFR ,NRADPLA ,NSW ,NTSW
INTEGER(KIND=JPIM),INTENT(IN) :: KPROMA
INTEGER(KIND=JPIM),INTENT(IN) :: KLEV
INTEGER(KIND=JPIM),INTENT(IN) :: KGL1
INTEGER(KIND=JPIM),INTENT(IN) :: KGL2
LOGICAL ,INTENT(IN) :: LDLAND(KPROMA)
REAL(KIND=JPRB) ,INTENT(IN) :: PALBD(KPROMA,NTSW)
REAL(KIND=JPRB) ,INTENT(IN) :: PALBP(KPROMA,NTSW)
REAL(KIND=JPRB) ,INTENT(IN) :: PAPRS(KPROMA,KLEV+1)
REAL(KIND=JPRB) ,INTENT(IN) :: PCLFR(KPROMA,KLEV)
REAL(KIND=JPRB) ,INTENT(IN) :: PCC(KPROMA)
REAL(KIND=JPRB) ,INTENT(IN) :: PCH(KPROMA)
REAL(KIND=JPRB) ,INTENT(IN) :: PCL(KPROMA)
REAL(KIND=JPRB) ,INTENT(IN) :: PCM(KPROMA)
REAL(KIND=JPRB) ,INTENT(IN) :: PCT(KPROMA)
REAL(KIND=JPRB) ,INTENT(IN) :: PEMIS(KPROMA)
REAL(KIND=JPRB) ,INTENT(IN) :: PEMIW(KPROMA)
REAL(KIND=JPRB) ,INTENT(IN) :: PEMIT(KPROMA)
REAL(KIND=JPRB) ,INTENT(IN) :: PGEMU(KPROMA)
REAL(KIND=JPRB) ,INTENT(IN) :: PMU0(KPROMA)
REAL(KIND=JPRB) ,INTENT(IN) :: PSLM(KPROMA)
REAL(KIND=JPRB) ,INTENT(IN) :: PT(KPROMA,KLEV)
REAL(KIND=JPRB) ,INTENT(IN) :: PTS(KPROMA)
REAL(KIND=JPRB) ,INTENT(IN) :: PEMTD(KPROMA,KLEV+1)
REAL(KIND=JPRB) ,INTENT(IN) :: PTRSO(KPROMA,KLEV+1)
REAL(KIND=JPRB) ,INTENT(OUT) :: PLWFC(KPROMA,2)
REAL(KIND=JPRB) ,INTENT(OUT) :: PLWFT(KPROMA,KLEV+1)
REAL(KIND=JPRB) ,INTENT(OUT) :: PSWFC(KPROMA,2)
REAL(KIND=JPRB) ,INTENT(OUT) :: PSWFT(KPROMA,KLEV+1)
REAL(KIND=JPRB) ,INTENT(IN) :: PTH(KPROMA,KLEV+1)
REAL(KIND=JPRB) ,INTENT(IN) :: PTRSOC(KPROMA,KLEV+1)
REAL(KIND=JPRB) ,INTENT(IN) :: PEMTEC(KPROMA,KLEV+1)
END SUBROUTINE RADDIAG
END INTERFACE
